﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RemoteLibrary;

namespace ClientConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            // Her placers kode for "opkobling" / tilgang af remote-objekt

            IVarekatalog varelkataloget =
             Activator.GetObject
                 (
                 typeof(IVarekatalog),
                 "http://localhost:65100/MitRemoteVarekatalog.rem"
                 )
                 as IVarekatalog;



            // Herefter kan kode for test af det remote-objekt placeres
            varelkataloget.OpretVare(10, "Søm", 4, 5.5f);
            IVare[] varer = varelkataloget.GetAlleVarer();
            foreach (IVare varen in varer)
            {
                varen.RegistrerVarerSolgt(3);
                Console.WriteLine("Vare:" + varen.Varenr+" lager:"+varen.Salgsværdi());

            }


            Console.ReadLine();         // "Hold på command-window"
        }
    }
}
