﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using RemoteLibrary;

namespace ClientWindowsFormsApplication
{
    public partial class Form1 : Form
    {
        IVarekatalog varekataloget;
        public Form1()
        {
            InitializeComponent();

            varekataloget =
             Activator.GetObject
                 (
                 typeof(IVarekatalog),
                 "http://localhost:65100/MitRemoteVarekatalog.rem"
                 )
                 as IVarekatalog;

            varekataloget.OpretVare(1, "Søm", 0, 5.5f);
            varekataloget.OpretVare(2, "Skruer", 0, 6.5f);
            varekataloget.OpretVare(3, "møtrikker", 0, 2.5f);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.dataGridView1.DataSource = varekataloget.GetAlleVarer();
        }
    }
}
